2011-02-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (sourceSRPM): Drop the combo and the backing list there is no point in it.
	(SRPMImportPage): Likewise.
	(createProjectDetails): Likewise.
	(createSourceRPMCombo): Likewise.
	(finish): Likewise.
	(getNewProject): Likewise.

2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/Messages.java (getString): Add javadoc.
	* src/org/eclipse/linuxtools/rpm/ui/rpm_strings.properties: More externalized strings.
	* src/org/eclipse/linuxtools/rpm/ui/RPMNewProject.java (createProject): Use utility from core plugin
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (getSelectedSRPM): Format.
	(.run): Likewise.
	(createControl): New controls on the page.
	(createProjectDetails): Likewise.
	(createSourceRPMCombo): Likewise.
	(changeProjectSettings): Modify the shown project path.
	(getProjectName): Get the project name from the srpm name.
	(canFinish): Format.
	(getNewProject): Use util class from core plugin for creation of the project.
	
2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java (getStatus): Add javadoc. 
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (canFinish): Proper return and error messages.
	
2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (createSourceRPMCombo): Remove empty lines.
	(finish): Remove dead code.
	
2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>

    Remove the ability to import into existing project. It was too errorprone and crying for troubles.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (SRPMImportPage): Remove unneeded parameter.
	(getSelectedSRPM): Add non-nls.
	(createControl): Do not create the projects box.
	(.modifyText): Invoke canFinish directly.
	(createSourceRPMCombo): Likewise.
	(canFinish): Do not show error on empty srpm text.
	(finish): Remove projects listing related parts.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportWizard.java (init): Remove not needed parts.
	(addPages): Likewise.

2010-09-14  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/ErrorLineMatcher.java: New file.
	* META-INF/MANIFEST.MF: We depend on o.e.debug.ui now.
	* plugin.xml: Add one more console output matcher.
	* src/org/eclipse/linuxtools/rpm/ui/RpmConsole.java (getSpecfile): Add method to retrieve the spec file.
	
2010-09-14  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/MissingDependencyMatcher.java: New file.
	* src/org/eclipse/linuxtools/rpm/ui/RpmConsole.java: New file.
	* plugin.xml: Add pattern handler.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (RPMExportOperation): Add javadoc.
	(run): Use IOConsole not MessageConsole.
	(findConsole): No need to have name parameter, we are using RpmConsole.ID now.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java (performFinish): RPMExportOperation is proper job now.
	(.done): Likewise.

2010-09-10  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java (SRPMImportOperation): Fix javadoc.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (NewProjectListener): Format.
	(sourceSRPM): Likewise.
	(SRPMImportPage): Likewise.
	(getSelectedProjectName): Likewise.
	(getSelectedSRPM): Support http urls.
	(createSourceRPMCombo): Format.
	(.modifyText): Likewise.
	(.handleEvent): Likewise.
	(createProjectBox): Likewise.
	(handleEvent): Likewise.
	(canFinish): Support http urls.
	(finish): Format. 
	(getNewProject): Format.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportWizard.java (performFinish): Do not catch no longer thrown exception.

2010-08-05  Andrew Overholt  <overholt@redhat.com>

	* OSGI-INF/l10n/bundle.properties: Change provider to Eclipse Linux Tools.

2010-03-14  Alexander Kurtakov  <akurtako@redhat.com>

	* OSGI-INF/l10n/bundle.properties: Remove redundant New.

2010-01-12  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.

2010-01-08  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (run): Adapt to RPMBuild api changes.

2010-01-07  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/util/ExceptionHandler.java: Removed.
	* META-INF/MANIFEST.MF: Do not export removed package.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ChangelogPage.java (addChangelogField): Uses StatusManger for error reporting.
	(RPM_CHANGELOG_ENTRIES): Formatted.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/InstallScriptsPage.java (RPM_POST_UNINSTALL): Likewise.
	(RPM_POST_INSTALL): Likewise.
	(addScriptFields): Use StatusManger for error reporting.
	(RPM_PRE_INSTALL): Formatted.
	(RPM_PRE_UNINSTALL): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/Messages.java (getString): Remove not needed TODO.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/messages.properties: Remove not needed string.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ProvidesPage.java (addProvidesField): Uses StatusManager for error reporting.
	(RPM_QL): Formatted.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/SpecFileHeaderPage.java (RPM_QI): Likewise. 
	(addInfoField): Uses StatusManager for error reporting.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/TargetPage.java (RPM_TIME): Formatted. 
	(RPM_ARCH): Likewise.
	(RPM_PLATFORM): Likewise. 
	(RPM_HOST): Likewise.
	(addTargetFields): Uses StatusManager for error reporting.

2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Accept IResource for export wizard.
	* src/org/eclipse/linuxtools/rpm/ui/rpm_strings.properties: Add new strings.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (getExportType): Format.
	(createErrorControls): New method.
	(RPMExportPage): Accept IProject.
	(createExportTypeControls): Format.
	(createControl): Invoke createErrorControls.
	(canFinish): Check whether there is a project.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java (performFinish): Format.
	(addPages): Handle resources and find the parent project.
	(init): Format.
	
2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Move all rpm wizards to their own category.
	
2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/rpm_strings.properties: Indicate that the new project is going to be rpm project.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (getNewProject): Run RPMNewProject instead of the generic new project.
	 
2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.ui.prefs: Enable save actions.

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* OSGI-INF/l10n/bundle.properties: Fix provider to be Eclipse not Eclipse.org.

2009-07-21  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (RPMExportPage): Create RPMProject directly.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java (run): Likewise.
	
2009-07-21  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (RPMExportOperation): Use RPMProject directly.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (getSelectedRPMProject): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java (run): Likewise.

2009-07-17  Alexander Kurtakov  <akurtako@redhat.com>

	* OSGI-INF/l10n/bundle.properties: New file.
	* build.properties: Include file containing l10n data.
	* META-INF/MANIFEST.MF: Externalize strings.
	* plugin.xml: Likewise.

2009-07-16  Alexander Kurtakov  <akurtako@redhat.com>

	* build.properties: Simplify build.
	* META-INF/MANIFEST.MF: Likewise.
	
2009-07-16  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Require o.e.ui.console.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (getStatus): Format.
	(findConsole): Utility method for retrieving the console to write to.
	(run): Read the input stream and dump it to the console.

2009-07-02  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/rpm_strings.properties: Add new strings.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java (performFinish): Run export as Job.
	(canFinish): Simplify.
	* src/org/eclipse/linuxtools/rpm/ui/RPMNewProject.java (RPMNewProject): Removed. 
	(createProject): Use constants.
	(init): Externalize strings.

2009-06-29  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.
	* src/org/eclipse/linuxtools/rpm/ui/IRPMUIConstants.java: Make build type an enum.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (RPMExportOperation): Likewise.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (getExportType): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMNewProject.java (.execute): Add missing @Override.

2009-06-25  Alexander Kurtakov  <akurtako@redhat.com>

	* build.properties: Add copyright.
	* src/org/eclipse/linuxtools/rpm/ui/IRPMUIConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/Messages.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ChangelogPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/InstallScriptsPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/Messages.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ProvidesPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/SpecFileHeaderPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/TargetPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/rpm_strings.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMUIPlugin.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportWizard.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/util/ExceptionHandler.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMNewProject.java: New file.
	* plugin.xml: Add copyright and new wizard for creating rpm project.
	

2009-06-09  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/logviewer/LogReader.java: Removed.
	* src/org/eclipse/linuxtools/rpm/ui/logviewer/RPMLogViewer.java: Removed.
	* META-INF/MANIFEST.MF: Remove non working log viewer.
	* plugin.xml: Likewise.
	
2009-06-09  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPatchPage.java: Removed.
	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.
	* plugin.xml: Fix ids to o.e.linuxtools from o.e.cdt.
	* src/org/eclipse/linuxtools/rpm/ui/logviewer/LogReader.java (run): Remove not needed NON-NLS.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ChangelogPage.java (addChangelogField): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/InstallScriptsPage.java (addScriptFields): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ProvidesPage.java (addProvidesField): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/SpecFileHeaderPage.java (addInfoField): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/TargetPage.java (addTargetFields): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (RPMExportOperation): Adapt to RPMExportDelta removal.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (getExportType): Major simplification.
	(handleEvent): Likewise.
	(RPMExportPage): Likewise.
	(createControl): Likewise.
	(canFinish): Likewise.
	(rpmProject): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java (performFinish): Remove not needed checks.
	(canFinish): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMUIPlugin.java (getImageDescriptor): Remove not needed NON-NLS.
	(getResourceBundle): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java (run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (SRPMImportPage): Likewise.
	(canFinish): Likewise.

2009-06-08  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (createProjectBox): Update to latest o.e.l.rpm.core API.
	(setSpecFileField): Likewise.
	(.handleEvent): Likewise.
	(createControl): Likewise.
	(createSpacer): Likewise.

2009-06-03  Alexander Kurtakov  <akurtako@redhat.com>

	* .classpath: Update classpath.
	* plugin.xml: Remove old attributes.

2009-05-28  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: New file.
	* META-INF/MANIFEST.MF: BREE J2SE-1.5.
	* src/org/eclipse/linuxtools/rpm/ui/IRPMUIConstants.java: More dead code removal.
	* src/org/eclipse/linuxtools/rpm/ui/logviewer/RPMLogViewer.java (setFocus): Add @Override.
	(dispose): Likewise.
	(createPartControl): Likewise. 
	(ViewLabelProvider.getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ChangelogPage.java (createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/InstallScriptsPage.java (createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ProvidesPage.java (createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/SpecFileHeaderPage.java (createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/TargetPage.java (createContents): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPatchPage.java: Remove unneeded imports.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java (performFinish): Add @Override.
	(addPages): Add @Override.
	(canFinish): Add @Override.
	* src/org/eclipse/linuxtools/rpm/ui/RPMUIPlugin.java (stop): Likewise.
	(start): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (getSelectedSRPM): Fix comparison.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportWizard.java (performFinish): Add @Override.
	(addPages): Likewise.
	(canFinish): Likewise.

2009-05-28  Alexander Kurtakov  <akurtako@redhat.com>
	Remove preference page it was done in the rpm.ui.editor package long ago.
	* src/org/eclipse/linuxtools/rpm/ui/preferences/RPMPluginPreferencesPage.java: Removed.
	* META-INF/MANIFEST.MF: Don't export not existing package.
	* plugin.xml: Remove references for the preference page.
	
2009-05-28  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/ui/logviewer/LogReader.java: Remove dead code.
	* src/org/eclipse/linuxtools/rpm/ui/logviewer/RPMLogViewer.java (dispose): Likewise.
	(createPartControl): Likewise.
	(_defineLayout): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/preferences/RPMPluginPreferencesPage.java (createTextField):Likewise. 
	(initializeDefaults): Likewise.
	(createBrowseButton): Likewise.
	(init): Likewise.
	(createComposite): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ChangelogPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/InstallScriptsPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/ProvidesPage.java (addProvidesField): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/SpecFileHeaderPage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/propertypage/TargetPage.java (addTargetFields): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportOperation.java (getStatus): Likewise.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPage.java (createProjectBox): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportPatchPage.java (patchTag): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/RPMExportWizard.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportOperation.java (getStatus): Likewise.
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/ui/SRPMImportPage.java (createProjectBox): Likewise.
	(finish): Likewise.
	(sourceSRPM): Likewise.
	(createSourceRPMCombo): Likewise.
	(SRPMImportPage): Likewise.

2008-11-01  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Replace deprecated Eclipse-LazyStart usage.
	* build.properties: Add META-INF to bin.includes.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #185598
	* META-INF/MANIFEST.MF: Add "Incubation" to Bundle-Name.

2007-01-29  Remy Suen  <remy.suen@gmail.com>

	Bug #181249
	* META-INF/MANIFEST.MF: Initial import.
	* .classpath: Set a J2SE-1.4 JRE.
	* plugin.xml: Migrate dependency information to an OSGi manifest.

2007-01-29  Andrew Overholt  <overholt@redhat.com>

	* : Re-namespace from cdt to linuxtools.

2005-05-27  Jeremy Handcock  <handcock@redhat.com>

	* plugin.xml: Bump version to 3.0.

2005-05-24  Jeremy Handcock  <handcock@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/rpm_strings.properties: New strings.
	* src/org/eclipse/cdt/rpm/ui/RPMExportPage.java
	VALID_CHARS: New field contains list of valid version-release 
	characters.
	specFileCombo: Change type to Text and rename to specFileField.
	(getSelectedSpecFile): Reflect type change.
	(setSpecFileComboData): Rename to setSpecFileField.
	(setSpecFileField): Reflect type change.
	(createProjectBox): Don't call setPageComplete.
	(createSpecFileFields): Reflect type change.  Use a 
	ResourceSelectionDialog to limit selections to workspace spec files.
	(canFinish): Reflect type change.  Change ordering to verify fields 
	in order of appearance.
	(canGoNext): Enforce canFinish() == true before wizard can advance to 
	next page.
	(handleEvent): Call canFinish().
	* src/org/eclipse/cdt/rpm/ui/RPMExportPatchPage.java
	valid_char_list: '.' is valid.
	(canFinish): Change ordering to verify fields in order of appearance.

2005-05-19  Jeremy Handcock  <handcock@redhat.com>

	Eclipse.org Bugzilla #82196:
	* plugin.xml (extension): Add property page extensions.
	* .settings/org.eclipse.core.resources.prefs: New.

	* src/org/eclipse/cdt/rpm/ui/propertypage/ChangelogPage.java: Move from 
	rpm.propertypage.  Externalize strings.
	(addFirstSection): Remove method.
	(addSeparator): Same.
	(addSecondSection): Rename to addChangelogField.
	(addChangelogField): Use rpm.core.utils.RPMQuery.
	(createContents): Remove calls to removed methods; reflect method rename
	changes.
	* src/org/eclipse/cdt/rpm/ui/propertypage/InstallScriptsPage.java: Move
	from rpm.propertypage.  Externalize strings.
	(addFirstSection): Remove method.
	(addSeparator): Same.
	(addSecondSection): Rename to addScriptFields.
	(addScriptFields): Use rpm.core.utils.RPMQuery.
	(createContents): Remove calls to removed methods; reflect method rename
	changes.
	* src/org/eclipse/cdt/rpm/ui/propertypage/Messages.java: New.
	* src/org/eclipse/cdt/rpm/ui/propertypage/messages.properties: New.
	* src/org/eclipse/cdt/rpm/ui/propertypage/ProvidesPage.java: Move from 
	rpm.propertypage.  Externalize strings.
	(addFirstSection): Remove method.
	(addSeparator): Same.
	(addSecondSection): Rename to addProvidesField.
	(addProvidesField): Use rpm.core.utils.RPMQuery.
	(createContents): Remove calls to removed methods; reflect method rename
	changes.
	* src/org/eclipse/cdt/rpm/ui/propertypage/SpecFileHeaderPage.java: Move 
	from rpm.propertypage.  Externalize strings.
	(addFirstSection): Remove method.
	(addSeparator): Same.
	(addSecondSection): Rename to addInfoFields.
	(addInfoFields): Use rpm.core.utils.RPMQuery.
	(createContents): Remove calls to removed methods; reflect method rename
	changes.
	* src/org/eclipse/cdt/rpm/ui/propertypage/TargetPage.java: Move from 
	rpm.propertypage.  Externalize strings.
	(addFirstSection): Remove method.
	(addSeparator): Same.
	(addSecondSection): Rename to addTargetFields.
	(addTargetFields): Convert Text widgets to Label widgets.  Use 
	rpm.core.utils.RPMQuery.

2005-05-18  Jeremy Handcock  <handcock@redhat.com>

	Eclipse.org Bugzilla #82195:
	
	* build.properties (bin.includes): Correct.
	(src.includes): Ditto.
	* plugin.xml (plugin): Set plugin class.
	(extension): Tweak wording.
	
	* src/org/eclipse/cdt/rpm/ui/IRPMUIConstants.java: New.
	* src/org/eclipse/cdt/rpm/ui/rpm_strings.properties: Add new strings.
	* src/org/eclipse/cdt/rpm/ui/RPMExportOperation.java
	(RPMExportOperation): Simplify.
	(run): Update to use new core model.
	* src/org/eclipse/cdt/rpm/ui/RPMExportPage_2.java: Rename to ...
	* src/org/eclipse/cdt/rpm/ui/RPMExportPatchPage.java: ... this.
	* src/org/eclipse/cdt/rpm/ui/RPMExportPage.java: Simplify.
	Update to use new core model.
	* src/org/eclipse/cdt/rpm/ui/RPMExportWizard.java
	(performFinish): Update to use new core model.
	(addPages): Use renamed RPMExportPatchPage.
	* src/org/eclipse/cdt/rpm/ui/RPMUIPlugin.java: New.  
	Where was this before???
	* src/org/eclipse/cdt/rpm/ui/SRPMImportOperation.java
	(SRPMImportOperation): Simplify.
	(run): Update to use new core model.
	* src/org/eclipse/cdt/rpm/ui/SRPMImportPage.java: Simplify.
	Update to use new core model.
	* src/org/eclipse/cdt/rpm/ui/SRPMImportwizard.java: Rename to ...
	* src/org/eclipse/cdt/rpm/ui/SRPMImportWizard.java: ... this.
	
	* src/org/eclipse/cdt/rpm/ui/logviewer/LogReader.java
	(getLogFile): Get log file from plug-in core class.

	* src/org/eclipse/cdt/rpm/ui/preferences/RPMPluginPreferencesPage.java
	(doGetPreferenceStore): Remove.
	(init): Remove call to initializeDefaultPreferences.
	(initializeDefaults): Use constants.
	(storeValues): Ditto.
	(createContents): Remove fields not used by new core model.
	
	* src/org/eclipse/cdt/rpm/ui/util/ExceptionHandler.java: New.

2005-01-18  Aaron Luchko  <aluchko@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/preferences/RPMPluginPreferencesPage.java 
	(initializeDefaultPreferences): Changed path to diff from "diff" to 
	"/usr/bin/diff" --  bz#83150

2005-01-18  Aaron Luchko  <aluchko@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/SRPMImportPage.java (): bz# 83135
	  Can import into a new project using New Project Wizard
	* src/org/eclipse/cdt/rpm/ui/rpm_strings.properties: bz# 83135
	  Can import into a new project using New Project Wizard

2005-01-17  Aaron Luchko  <aluchko@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/RPMExportPage.java (): bz# 83031
	* src/org/eclipse/cdt/rpm/ui/SRPMImportOperation.java (): ditto
	* src/org/eclipse/cdt/rpm/ui/SRPMImportPage.java (): ditto
	* src/org/eclipse/cdt/rpm/ui/SRPMImportWizard.java (): ditto
	* src/org/eclipse/cdt/rpm/ui/rpm_strings.properties: ditto

2005-01-15  Aaron Luchko  <aluchko@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/SRPMImportPage.java:
	  Add previously opened srpms to the combo box when opening srpms
	
2004-12-15  Rick Moseley  <rmoseley@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/RPMExportPage.java (returnProjectPath): 
	  bz #81145 - fixed unhandled exception when exporting a source/binary RPM

2004-12-09  Rick Moseley  <rmoseley@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/rpm_strings.properties: bz# 78773/78788
	* src/org/eclipse/cdt/rpm/ui/RPMExportPage_2.java (modifyText): bz#
	   78773/78788

2004-11-11  Rick Moseley  <rmoseley@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/SRPMImportPage.java (createProjectBox): add
	  addSelectionListener for when a project to import into is not selected

2004-11-11  Rick Moseley  <rmoseley@redhat.com>
	* plugin.xml: remove "test" from labels

2004-11-11  Rick Moseley  <rmoseley@redhat.com>
	* plugin.xml: change version to 1.2

2004-11-05  Aaron Luchko  <aluchko@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/RPMExportPage.java (): show only C/C++ projects to 
	   be exported
	* src/org/eclipse/cdt/rpm/ui/RPMExportWizard.java (): ditto
	* src/org/eclipse/cdt/rpm/ui/RPMImportPage.java (): ditto
	* src/org/eclipse/cdt/rpm/ui/SRPMImportPage.java (): ditto

2004-11-04  Jeffery Pound  <jpound@redhat.com>

	* src/org/eclipse/cdt/rpm/ui/SRPMImportOperation.java (): put commands into
	   a properties bundle`
	* src/org/eclipse/cdt/rpm/ui/preferences/RPMPluginPreferencesPage.java (): add
	   shell commands to be user configurable

2004-08-31  Rick Moseley  <rmoseley@redhat.com>

	* build.xml: rebuilt after merge/refactoring

2004-08-19  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/SRPMImportPage.java (createProjectBox): 
	Added a C Nature check for project list.
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage.java (createProjectBox):  
	Added a C Nature check.
	(createProjectBox): Removed debug statement
	* plugin.xml: Added import cdt

2004-08-10  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java (modifyText):
	  add back in hot verifiction of patch tag names; correct when "Finish"
	  button is enabled
	(canFinish): correct when "Finish" button is enabled
	* src/com/redhat/eclipse/rpm/ui/rpm_strings.properties: externalize new
	  message for above change

2004-08-04  Jeremy Handcock  <handcock@redhat.com>

	* .cvsignore: New file.
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java: Rename core 
	plugin import.
	* src/com/redhat/eclipse/rpm/ui/logviewer/LogReader.java: Same.
	* src/com/redhat/eclipse/rpm/ui/preferences/RPMPluginPreferencesPage.java:
	New file; moved from com.redhat.eclipse.rpm.core.
	* plugin.xml: Add preference page extension.

2004-08-04  rmoseley  <rmoseley@dhcp-232.hsv.redhat.com>

	* plugin.xml : do not start RPM log viewer automatically 
	   fixes bz #129071

2004-07-27  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/rpm_strings.properties : add strings
	* src/com/redhat/eclipse/rpm/ui/RPMExportOperation.java (run): 
	  internationalize strings
	* src/com/redhat/eclipse/rpm/ui/SRPMImportOperation.java : same as below
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java (RPMExportPage_2): 
	  correct message/internationalize strings
	  (canFinish): correct message/internationalize strings

2004-07-22  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/RPMExportOperation.java (run): conditionalize
	  the last change based on whether or not source/binary rpm is produced
	* src/com/redhat/eclipse/rpm/ui/RPMExportOperation.java (run): propagate
	  the patch tag and changlog entry when only binary RPM is created
	  (bugzilla #128343)
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java (modifyText): add 
	  listener for patch tag field for hot verify
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java : remove hot verify
	  for patch tag field
	 (populatePatchInfo): add "- " to the changelog text field
	 (getPatchNames): new parser to get patch tags from spec file
	 (canFinish): add loop to check for duplucate patch tags

2004-07-16  Rick Moseley  <rmoseley@redhat.com>

	* build.properties : add /icons

2004-07-14  Rick Moseley  <rmoseley@redhat.com>

	* build.xml : Eclipse 3.0 changes
	* src/com/redhat/eclipse/rpm/ui/logviewer/RPMLogViewer.java : renamed from
		RpmLogViewer
	* plugin.xml : rename RpmLogViewer -> RPMLogViewer
		remove bogus dependencies
		Eclipse 3.0 changes
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage.java: add platform-independent file
		separator
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage.java (setSpecFileComboData): add call
		to setVersionReleaseFields when spec field is changed
	* src/com/redhat/eclipse/rpm/ui/SRPMImportOperation.java : check if passed a null
		error message
	* src/com/redhat/eclipse/rpm/ui/logviewer/LogReader.java : rename RpmCorePlugin ->
		RPMCorePlugin

2004-06-18  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/RPMExportPage.java (getSpecFilePath): new method
	   to save the spec file path for the next page
	(canFinish): add saving of path_to_specfile static variable 
	(): add file_sep/line_sep variables for portability 

2004-05-27  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/SRPMImportOperation.java (): rename 
		RpmCore -> RPMCore
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage.java (compareCheckSum): rename 
		RpmCore -> RPMCore

2004-05-26  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/logviewer/LogReader.java (getLogFile): changes for 
		prefs store
	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java (populatePatchInfo): get name
		and e-mail address from prefs store 
	* src/com/redhat/eclipse/rpm/ui/SRPMImportOperation.java (run): changes for prefs
	   store addition 
	* src/com/redhat/eclipse/rpm/ui/RPMExportOperation.java (run): changes for prefs
	   store addition

2004-05-05  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/logviewer/RpmLogViewer.java (): new class to
		display RPM plugin log files
	* src/com/redhat/eclipse/rpm/ui/logviewer/LogReader.java (): new class to
		display RPM plugin log files
	* plugin.xml : add RPM log viewer stuff

2004-04-05  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/RPMExportPage_2.java (getHostName): add functionality
	to remove superfluous part of the host/domain name for the changelog e-mail address
	* (populatePatchInfo): add login to get the host name to put into the e-mail address 
	in the changelog entry

2004-04-02  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/RPMExportPage.java (compareCheckSum): add
		call to firstSRPM() to check for existence of .srpminfo

2004-03-31  Phil Muldoon  <pmuldoon@redhat.com>

	* src/com/redhat/eclipse/rpm/ui/RPMExportOperation.java (getStatus): check to see what kind
	of object (Status or Throwable) is passed back from RpmCore
	* src/com/redhat/eclipse/rpm/ui/SRPMImportOperation.java (getStatus): same

2004-03-26  Phil Muldoon  <pmuldoon@redhat.com>

	* SRPMImportOperation.java (getStatus): Change ISTATUS
	to STATUS
	* RPMExportOperation.java (getStatus): Ditto
	

2004-02-13  Phil Muldoon  <pmuldoon@redhat.com>

	* RPMExportPage.java (createSpecFileField):: added Version/Release
	 trigger on browse spec file
	* RPMExportOperation.java (refreshWorkspace): Created
	(run):  Added refreshWorkspace on each try block
	

2004-02-12  Phil Muldoon  <pmuldoon@redhat.com>

	* RPMExportPage_2.java (keyPressed):  Refactored/rewritten
	* SRPMImportPage.java (finish): Fixed ImportOperation calling pattern
	(validateFinish): Added JavaDoc
	(canFinish): Added JavaDoc
	(createProjectBox): rewrote
	* SRPMImportOperation.java (getStatus): Added more robust getStatus
	from RPMExportOperation
	* RPMExportPage.java (finish): Fixed ExportOperation calling pattern
	(hasMakefile): rewritten/refactored
	(returnSpecFiles):  Rewritten and refactored
	* RPMExportOperation.java (rpmDeleteLogFile): Deleted.
	Removed log file and preserve parameters
	
	
2004-02-12  Phil Muldoon  <pmuldoon@redhat.com>

	* readme : Updated. Added author and maintenance boundary
	for each plug-in
	* SRPMImportOperation.java (run): Modified flow for
	RPM Core refactor
	* rpm_strings.properties : Added SRPM/RPM Export Messages
	Removed Old ones.
	* RPMExportOperation.java (run):  Modified flow for
	RPM Core refactor

2004-02-12  Phil Muldoon  <pmuldoon@redhat.com>

	* plugin.xml : Fixed typos
	* rpm_strings.properties : Refactored strings to match new
	class names

2004-02-11  Phil Muldoon  <pmuldoon@redhat.com>

	* build.xml: Added com.redhat.eclipse.rpm.core/RpmCore.jar to classpath
	
2004-02-11  Phil Muldoon  <pmuldoon@redhat.com>
	
	* build.xml: Rewritten
	* .classpath: Regenerated for 2.1.2

2004-02-11  Rick Moseley  <rmoseley@redhat.com>

	* RPMExportOperation.java (run): Comment out some old run monitor code, correct bug of calling 
	rpmexport.run() twice, change one of them to srpmexport.run()

2004-02-11  Phil Muldoon  <pmuldoon@redhat.com>

	* Initial Import:



